Loading...
Searching...
No Matches
BALL::VIEW::HeadTrackingEvent Class Reference

`#include <BALL/VIEW/INPUT/headTrackingEvent.h>`

Inheritance diagram for BALL::VIEW::HeadTrackingEvent:

## Public Member Functions

| HeadTrackingEvent (InputDeviceDriver *dev, double x, double y, double z, double q1, double q2, double q3, double q4)
const Vector3 & | getOrigin ()
const Quaternion & | getTransform ()
Public Member Functions inherited from BALL::VIEW::DeviceEvent
| DeviceEvent (EventsIDs type, InputDeviceDriver *device)
InputDeviceDriver * | getDevice ()

## Detailed Description

Definition at line 14 of file headTrackingEvent.h.

## Constructor & Destructor Documentation

## HeadTrackingEvent()

BALL::VIEW::HeadTrackingEvent::HeadTrackingEvent | ( | InputDeviceDriver * | dev,
|  | double | x,
|  | double | y,
|  | double | z,
|  | double | q1,
|  | double | q2,
|  | double | q3,
|  | double | q4 )

## Member Function Documentation

## getOrigin()

const Vector3 & BALL::VIEW::HeadTrackingEvent::getOrigin | ( |  | ) |

inline

Definition at line 20 of file headTrackingEvent.h.

## getTransform()

const Quaternion & BALL::VIEW::HeadTrackingEvent::getTransform | ( |  | ) |

inline

Definition at line 21 of file headTrackingEvent.h.